﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Antenna : MonoBehaviour
{
    public Wire connectedWire;

    public GameObject signal_Em_Prefab;

    public GameObject signal_wired_Prefab;


    public bool goTest = false;

    // Use this for initialization
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {

    }

    public void SendMessageSignal(string message, float speed, string errored)
    {
        for (int i = 0; i < 8; i++)
        {
            GameObject go = Instantiate(signal_Em_Prefab, transform.position + Vector3.up * 2.25f, transform.localRotation * Quaternion.Euler(0, 45 * i, 0));

            Signal_EM s_em = go.GetComponent<Signal_EM>();

            s_em.speed = speed;
            s_em.text = message;
            s_em.wrongText = errored;
        }
    }

    public void sendWired(string message, float speed, string error)
    {
        Debug.Log("Sending Message" + message + speed);

        GameObject signalGO = Instantiate(signal_wired_Prefab, transform.position, Quaternion.identity);

        Signal s = signalGO.GetComponent<Signal>();

        s.sendingAntenna = gameObject;

        s.setText(message);

        s.setWire(connectedWire);

        s.movingSpeed = speed;

        s.wrongText = error;

        s.startSignal();
    }
}
